/*============================================================================
/ psionfs_dir.h
/ © Michael Pieper 03. Oct. 2000
/============================================================================
/
/	This header-File includes all "Directory"-Functions for the PSION-FileSystem
/
/============================================================================*/

#ifndef PSIONFS_DIR_H
#define PSIONFS_DIR_H


/*===========================================================================
/	All the directory functions 
/============================================================================*/

int	psionfs_opendir			(void *ns, void *node, void **cookie);
int	psionfs_readdir			(void *ns, void *node, void *cookie, long *num, struct dirent *buf, size_t bufsize);
int	psionfs_rewinddir		(void *ns, void *node, void *cookie);
int	psionfs_closedir		(void *ns, void *node, void *cookie);
int	psionfs_free_dircookie	(void *ns, void *node, void *cookie);

int	psionfs_mkdir			(void *ns, void *node, const char *name, int perms);
int	psionfs_rmdir			(void *ns, void *node, const char *name);

#endif

